{% extends "app/base_site.html" %}

{% load static %}

{% block title %} Registrar agregador {% endblock %}

{% block content %}
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>{% if create %} Registro {% else %} Edición {% endif %}de agregador</h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <br/>
                            <form id="form-add-store" data-parsley-validate class="form-horizontal form-label-left"
                                  method="post" action="
{% if create %}
{% url 'administration:aggregator_add' %}
{% else %}
{% url 'administration:aggregator_edit' aggregator.id_pk %}
{% endif %}
">
                                {% csrf_token %}
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="input-name">Nombre
                                        <span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <input type="text" id="input-name" required="required"
                                               name="name"
                                                {% if not create %}
                                               value="{{ aggregator.name }}"
                                                {% endif %}
                                               class="form-control col-md-7 col-xs-12">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="input-code">Código
                                        <span class="required">*</span>
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <input type="text" id="input-code" required="required"
                                               name="code"
                                                {% if not create %}
                                               value="{{ aggregator.code }}"
                                                {% endif %}
                                               class="form-control col-md-7 col-xs-12">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="input-production-url">
                                        URL Producción
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <input type="text" id="input-production-url"
                                               name="input-production-url"
                                                {% if not create and aggregator.production_url != null %}
                                               value="{{ aggregator.production_url }}"
                                                {% endif %}
                                               class="form-control col-md-7 col-xs-12">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="input-develop-url">
                                        URL Desarrollo
                                    </label>
                                    <div class="col-md-6 col-sm-6 col-xs-12">
                                        <input type="text" id="input-develop-url"
                                               name="input-develop-url"
                                                {% if not create and aggregator.develop_url != null %}
                                               value="{{ aggregator.develop_url }}"
                                                {% endif %}
                                               class="form-control col-md-7 col-xs-12">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                        <button type="submit" class="btn btn-success">
                                            {% if create %} Registrar {% else %} Editar {% endif %}
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

{% block script %}
    <script>
        $("form").submit(function (event) {
            event.preventDefault();
            var post_url = $(this).attr("action");
            var request_method = $(this).attr("method");
            var form_data = $(this).serialize();

            $.ajax({
                url: post_url,
                type: request_method,
                data: form_data,
                success: function (json) {
                    window.location.replace('{% url 'administration:aggregators_list' %}');
                },
                error: function (xhr, status, error) {
                    var json_error = JSON.parse(xhr.responseText);
                    console.log(json_error);
                    toastr[json_error.code](json_error.message, json_error.title);
                }
            });
        });
    </script>
{% endblock script %}
